package down.to.chat.connector;


/**
 * Connector for finding peers asynchronously. Location and availability info 
 * is stored and can be pulled.
 * 
 * @author Matthew
 *
 */
public interface AsynchronousConnector extends Connector {

	
	/**
	 * Make a user visible to other connectors
	 */
	public void show();
	
	/**
	 * Hides the user from other connectors.
	 */
	public void hide();
}
