package down.to.chat.connector;

import java.util.List;

import down.to.chat.neighbor.Neighbor;
import down.to.chat.user.UserUpdateListener;

/**
 * Basic interface for connecting with neighbors
 * 
 * @author Matthew
 *
 */
public interface Connector extends UserUpdateListener {

	/**
	 * @return a list of all the neighbors in the local vicinity. 
	 */
	public List<Neighbor> getNeighbors();
	
}
